
def zip_file(file_path, output_path):
    import os
    import zipfile

    # Check if the file exists
    if not os.path.isfile(file_path):
        raise FileNotFoundError("The file does not exist.")

    # Create a zipfile object
    with zipfile.ZipFile(output_path, 'w') as zipf:
        # Add the file to the zipfile
        zipf.write(file_path, os.path.basename(file_path))

    return output_path



